# NLS - NVIDIA License System

- https://docs.nvidia.com/license-system/latest/index.html

[TOC]

# Installation

## Docker

1. Install Docker on your system where NLS should run
2. Download latest release (*date of writing `v3.4.1`*)
3. Copy archive (`nls-X.Y.Z-bios.zip`) to your Docker-Server
4. Set version \
   `export VERSION=3.4.1`
5. Extract archive \
   `unzip nls-$VERSION-bios.zip`
   `cd nls-$VERSION-bios`
6. Import Images into Docker \
   `docker load --input dls_appliance_$VERSION.tar.gz` \
   `docker load --input dls_pgsql_$VERSION.tar.gz` \
   `docker load --input dls_upgrade_$VERSION.tar.gz` (optional)
7. Goto `docker` directory
   `cd docker`
8. Create Envirnoment-File
   `touch .env`
9. Add the following line to this file
   `echo "DLS_PUBLIC_IP=<your-ipv4>" > .env`
10. Start Docker-Stack
    `docker compose up -d`
11. Show running containers \
    `docker container ls`

# Reverse Engineering Notes

Notes about accessing file structure and database can be found [here](Reverse%20Engineering%20Notes.md).

# Debug Information

Debug information about licensing process, token-exchange and certificates can be found [here](DEBUG.md).
